Page MenuHomePhabricator

add -querypage parameter to pagegenerators
Closed, ResolvedPublic

Description

Add -querypage parameter to pagegenerators to to yield pages provided by a QueryPage-based special page.

Details

Related Gerrit Patches:

Event Timeline

Mpaa created this task.Jan 19 2019, 11:42 AM
Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald TranscriptJan 19 2019, 11:42 AM

Change 485364 had a related patch set uploaded (by Mpaa; owner: Mpaa):
[pywikibot/core@master] pagegenerators.py: add -querypage parameter

https://gerrit.wikimedia.org/r/485364

Xqt triaged this task as Medium priority.Jan 20 2019, 11:34 AM

Change 485364 merged by jenkins-bot:
[pywikibot/core@master] pagegenerators.py: add -querypage parameter

https://gerrit.wikimedia.org/r/485364

Xqt closed this task as Resolved.Feb 2 2019, 9:19 PM
Xqt claimed this task.
Xqt reassigned this task from Xqt to Mpaa.Feb 2 2019, 9:22 PM
Xqt added a subscriber: Xqt.

Change 487630 had a related patch set uploaded (by Mpaa; owner: Mpaa):
[pywikibot/core@master] pagegenerators.py: fix tests in PY2 for -querypage

https://gerrit.wikimedia.org/r/487630

Change 487630 merged by jenkins-bot:
[pywikibot/core@master] pagegenerators.py: fix tests in PY2 for -querypage

https://gerrit.wikimedia.org/r/487630